<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.attence.record.mapper.RecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="recordResultMap" type="org.springblade.attence.record.entity.Record">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="owner_id" property="ownerId"/>
        <result column="person_id" property="personId"/>
        <result column="person_name" property="personName"/>
        <result column="person_type" property="personType"/>
        <result column="device_id" property="deviceId"/>
        <result column="wifi_mac" property="wifiMac"/>
        <result column="longitude" property="longitude"/>
        <result column="latitude" property="latitude"/>
        <result column="location_name" property="locationName"/>
        <result column="checkin_time" property="checkinTime"/>
        <result column="checkin_date" property="checkinDate"/>
        <result column="wife_name" property="wifeName"/>
        <result column="checkin_type" property="checkinType"/>
        <result column="note" property="note"/>
        <result column="sch_checkin_time" property="schCheckinTime"/>
        <result column="exception_message" property="exceptionMessage"/>
        <result column="rule_id" property="ruleId"/>
        <result column="rule_time_id" property="ruleTimeId"/>
        <result column="rule_time_type" property="ruleTimeType"/>
    </resultMap>


    <select id="selectRecordPage" resultMap="recordResultMap">
        select * from attence_record where is_deleted = 0
    </select>

</mapper>
